/*
 * TismTool © Tis Veugen, 2010-2011
 * Simulation, Verification
 *
 * TsmPort.c
 * version 2
 */
#include "TsmGen.h"
#include "TsmBase.h"
#include "TsmPort.h"
#include "TsmProxyUser.h"
#include "TsmTrigger.h"

TsmPort* TsmPort_Ctor( void )
{
  TsmPort* this = (TsmPort*) Tsm_Malloc( sizeof(TsmPort) );
  TsmPort_Ftor( this );
  return this;
}

void TsmPort_Ftor( TsmPort* this )
{
  TsmBase_Ftor( (TsmBase*) this );
  this->Class = "TsmPort";
  this->Target = NULL;

  this->SetProxyUser = TsmPort_SetProxyUser;
  this->Handle = TsmPort_Handle;
  this->ToSeq = TsmPort_ToSeq;
}

void TsmPort_SetProxyUser( TsmPort* this, TsmProxyUser* oProxyUser )
{
  this->Target->SetProxyUser( this->Target, (TsmClass*) oProxyUser );
}

TsmBool TsmPort_Handle( TsmPort* this, TsmTrigger* oTrigger )
{
  return TRUE;
}

void TsmPort_ToSeq( TsmPort* this, TsmStr sa )
{
  *sa = '\0';
}
