/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmEnvelope.h
 * version 1
 */
#ifndef TSM_ENVELOPE_H
#define TSM_ENVELOPE_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmTrigger.h"
#include "TsmClass.h"
  
typedef struct TsmEnvelopeStruct
{
  TsmTrigger* mTrigger;
  TsmClass*   mTarget;
} TsmEnvelope;

void        TsmEnvelope_Ftor( TsmEnvelope* this, TsmTrigger* oTrigger, TsmClass* oTarget );
TsmTrigger* TsmEnvelope_GetTrigger( TsmEnvelope* this );
TsmClass*   TsmEnvelope_GetTarget( TsmEnvelope* this );
void        TsmEnvelope_Snap( TsmEnvelope* this, TsmStr sout );

#ifdef __cplusplus
}
#endif 
#endif
