/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmCompound.h
 * version 3
 */
#ifndef TSM_COMPOUND_H
#define TSM_COMPOUND_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmState.h"
#include "TsmHandler.h"

typedef struct TsmCompoundStruct /* : TsmState */
{
#include "TsmCompound_fields.h"
} TsmCompound;

typedef void (*Tsm_pfCompStHdlr)( TsmCompound* this, TsmHandler* oHandler );

TsmCompound*  TsmCompound_Ctor( void );
void          TsmCompound_Ftor( TsmCompound* this );
void          TsmCompound_Gtor( TsmCompound* this );

void          TsmCompound_Initial( TsmCompound* this, TsmHandler* oHandler );
void          TsmCompound_ExecuteTrigger( TsmCompound* this, TsmHandler* oHandler );
void          TsmCompound_ExecuteTriggerCompound( TsmCompound* this, TsmHandler* oHandler );
void          TsmCompound_AtMyExit( TsmCompound* this, TsmHandler* oHandler );
void          TsmCompound_AtExit( TsmCompound* this, TsmHandler* oHandler );
void          TsmCompound_TsmSnap( TsmCompound* this, TsmStr sout );
void          TsmCompound_TsmCheckVisit( TsmCompound* this );

#ifdef __cplusplus
}
#endif 
#endif
