/*
 * TismTool © Tis Veugen, 2010-2011
 * Simulation, Verification
 *
 * TsmACPort.h
 * version 1
 */
#ifndef TSM_ACPORT_H
#define TSM_ACPORT_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmActivePort.h"
#include "TsmTrigger.h"

#define TsmACPort_Gtor(t) TsmActivePort_Gtor((TsmActivePort*) (t) )

typedef struct TsmACPortStruct /* : TsmActivePort */
{
#include "TsmACPort_fields.h"
} TsmACPort;

TsmACPort*  TsmACPort_Ctor( void );
void        TsmACPort_Ftor( TsmACPort* this );
TsmBool     TsmACPort_Handle( TsmACPort* this, TsmTrigger* oTrigger );
void        TsmACPort_ToSeq( TsmACPort* this, TsmStr sa );

#ifdef __cplusplus
}
#endif 
#endif
