/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmActivePort.c
 * version 2
 */
#include "TsmGen.h"
#include "TsmPort.h"
#include "TsmActivePort.h"
#include "TsmThread.h"

TsmActivePort* TsmActivePort_Ctor( void )
{
  TsmActivePort* this = (TsmActivePort*) Tsm_Malloc( sizeof(TsmActivePort) );
  TsmActivePort_Ftor( this );
  return this;
}

void TsmActivePort_Ftor( TsmActivePort* this )
{
  TsmPort_Ftor( (TsmPort*) this );
  this->Class = "TsmActivePort";
  this->mThread = NULL;

  this->SetThread = TsmActivePort_SetThread;
}

void TsmActivePort_SetThread( TsmActivePort* this, TsmThread* oThread )
{
  this->mThread = oThread;
}
