/*
 * TismTool © Tis Veugen, 2010-2011
 * Simulation, Verification
 *
 * TsmNativeLists.c
 * version 1
 */
#include "TsmGen.h"
#include "TsmNativeLists.h"
#include "TsmList.h"

void TsmNativeLists_Initialise( TsmNativeLists* this )
{
  TsmList_Initialise( &this->ClientNatives, TSM_NOF_LIST_NATIVES, this->ClientItems );
  TsmList_Initialise( &this->ServerNatives, TSM_NOF_LIST_NATIVES, this->ServerItems );
}

void TsmNativeLists_Clear( TsmNativeLists* this )
{
  TsmList_Clear( &this->ClientNatives );
  TsmList_Clear( &this->ServerNatives );
}
