/*
 * TismTool © Tis Veugen, 2010-2011
 * Application, Simulation, Verification
 *
 * TsmFsm.h
 * version 2
 */
#ifndef TSM_FSM_H
#define TSM_FSM_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmCompound.h"
#include "TsmHandler.h"

#define TsmFsm_Gtor(t) TsmCompound_Gtor((TsmCompound*) (t))

typedef struct TsmFsmStruct /* : TsmCompound */
{
#include "TsmFsm_fields.h"
} TsmFsm;

TsmFsm* TsmFsm_Ctor( void );
void    TsmFsm_Ftor( TsmFsm* this );

void    TsmFsm_ExecuteTriggerFsm( TsmFsm* this, TsmHandler* oHandler );
void    TsmFsm_ExecuteTriggerless( TsmFsm* this, TsmHandler* oHandler );
void    TsmFsm_TsmReset1( TsmFsm* this, TsmHandler* oHandler );
void    TsmFsm_TsmReset2( TsmFsm* this, TsmHandler* oHandler );
void    TsmFsm_TsmSnap( TsmFsm* this, TsmStr sout );

#ifdef __cplusplus
}
#endif 
#endif
